## org.gnu.gtk
Class MovementStep

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.MovementStep

public class MovementStep
extends Enum

Field Summary
`static MovementStep` `BUFFER_ENDS`
`static MovementStep` `DISPLAY_LINE_ENDS`
`static MovementStep` `DISPLAY_LINES`
`static MovementStep` `LOGICAL_POSITIONS`
`static MovementStep` `PAGES`
`static MovementStep` `PARAGRAPH_ENDS`
`static MovementStep` `PARAGRAPHS`
`static MovementStep` `VISUAL_POSITIONS`
`static MovementStep` `WORDS`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`MovementStep` `and(MovementStep other)`
`static MovementStep` `intern(int value)`
`MovementStep` `or(MovementStep other)`
`boolean` `test(MovementStep other)`
`MovementStep` `xor(MovementStep other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LOGICAL_POSITIONS

    public static final MovementStep LOGICAL_POSITIONS

### VISUAL_POSITIONS

    public static final MovementStep VISUAL_POSITIONS

### WORDS

    public static final MovementStep WORDS

### DISPLAY_LINES

    public static final MovementStep DISPLAY_LINES

### DISPLAY_LINE_ENDS

    public static final MovementStep DISPLAY_LINE_ENDS

### PARAGRAPHS

    public static final MovementStep PARAGRAPHS

### PARAGRAPH_ENDS

    public static final MovementStep PARAGRAPH_ENDS

### PAGES

    public static final MovementStep PAGES

### BUFFER_ENDS

    public static final MovementStep BUFFER_ENDS

Method Detail

### intern

    public static MovementStep intern(int value)

### or

    public MovementStep or(MovementStep other)

### and

    public MovementStep and(MovementStep other)

### xor

    public MovementStep xor(MovementStep other)

### test

    public boolean test(MovementStep other)